var Hash = require("bn-lang").Hash;

/**
* @class Templates
*/

var Templates = function(){this.init.apply(this, arguments);};
exports.Templates = Templates;

Templates.prototype.init = function() {

	this.templates = new Hash();
	Template.initTemplate();
};

Templates.prototype.register = function(_name, _template) {

	this.templates.put(_name, _template);
};

Templates.prototype.render = function(_name, _data) {

	return new Template(this.templates.get(_name)).render(_data);
};
